%{?nodejs_find_provides_and_requires}

%global packagename babel-code-frame

# tests disabled.  They run fine locally, but fail in mock/koji
%global enable_tests 0

Name:		nodejs-babel-code-frame
Version:	6.26.0
Release:	2%{?dist}
Summary:	Generate errors that contain a code frame that point to source locations

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-code-frame
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-babel-tests.sh

# license file is in main "babel" directory, not each individual sub-package
Source11:	https://github.com/babel/babel/blob/master/LICENSE

Patch0:		nodejs-babel-code-frame_use-requires.patch


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(chalk)
BuildRequires:	npm(esutils)
BuildRequires:	npm(js-tokens)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Generate errors that contain a code frame that point to source locations.


%prep
%setup -q -n package
# setup the tests
%autosetup -T -D -a 1 -n package -p1
cp -p %{SOURCE11} .

%nodejs_fixdep js-tokens '^4.0.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 20 2018 Jared K. Smith <jsmith@fedoraproject.org> - 7.0.0-beta.44-1
- Initial packaging
